%global srcname geoplot

Name:           python-%{srcname}
Version:        0.2.0
Release:        2%{?dist}
Summary:        High-level geospatial plotting for Python

License:        MIT
URL:            https://github.com/ResidentMario/geoplot
# PyPI tarball does not include tests.
Source0:        https://github.com/ResidentMario/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
 
%global _description \
geoplot is a high-level Python geospatial plotting library. It's an extension \
to cartopy and matplotlib which makes mapping easy: like seaborn for \
geospatial.

%description %{_description}


%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(cartopy)
BuildRequires:  python3dist(geopandas)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(pandas)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-mpl)
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(seaborn)

Requires:       python3dist(cartopy)
Requires:       python3dist(geopandas)
Requires:       python3dist(matplotlib)
Requires:       python3dist(pandas)
Requires:       python3dist(seaborn)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{srcname}.egg-info


%build
%py3_build


%install
%py3_install


%check
# Skip proj tests because upstream has not finished them yet.
# Skip tests that use PySAL; unavailable.
PYTHONPATH=%{buildroot}%{python3_sitelib} MPLBACKEND=Agg PYTHONDONTWRITEBYTECODE=1 \
    pytest-3 tests/input_tests.py tests/kwarg_tests.py -k 'not test_cartogram and not test_choropleth'


%files -n python3-%{srcname}
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info


%changelog
* Mon Jul 23 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.0-2
- Enable all tests

* Sun Jul 15 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.2.0-1
- Initial package.
